from granian.constants import Interfaces
from granian.server import Granian

from settings import PORT


if __name__ == "__main__":
    print("[server] starting...")

    granian_instance = Granian(
        "main:app",
        address="0.0.0.0",  # noqa S104
        port=PORT,
        threads=2,
        websockets=False,
        interface=Interfaces.ASGI,
    )
    granian_instance.serve()
